Social Fetch
Threads

Search Threads users

Returns matching Threads user summaries for a search query.

Operation

GET/v1/threads/users/search
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

querystringrequired(query)

Search query text for Threads users.

min 1 chars · max 512 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

dataquery
stringrequired

Search query that was evaluated for this response.

datausers
arrayrequired

Users returned for the search query.

datausers[]platform
stringrequired

Social platform for this user.

one of: threads

datausers[]handle
stringrequired

Threads username without the leading @.

min 1 chars

datausers[]displayName
stringrequirednullable

Public display name shown for the user, when available.

datausers[]avatarUrl
stringrequirednullable

Profile image URL for the user, when available.

datausers[]verified
booleanrequired

Whether the user is marked as verified.

datausers[]profileUrl
stringrequired

Canonical public Threads profile URL.

min 1 chars

datausers[]platformUserId
string

Threads user id as a string when available.

datausers[]activeOnThreads
boolean

Whether the account is reported as active on Threads.

datausers[]onboardedToThreads
boolean

Whether the account is reported as onboarded to Threads.

datatotalUsers
integerrequired

Number of users returned in this response.

≥ 0

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

User search results for the requested query.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page